{ config, pkgs, ... }:

{
  imports =
    [ 
      ./core
      ./services
      ./programs

      ./network.nix
      ./hardware.nix
      ./xdg.nix
      ./qt.nix
      ./fonts.nix
    ];

  environment.systemPackages = with pkgs; [
    vim
    firefox
    rustup
    git
    htop
    openssh

    kitty
    waybar
    wofi
    eww-wayland
    rofi-wayland

    #dbus-sway-environment
    #configure-gtk

    cinnamon.nemo
    gnome.nautilus

    matugen
  ];
}
